Bug 436673 - Exception in banshee on clicking related artist info
Exception in banshee on clicking related artist info
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: banshee (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-08 21:27 EST by Andrew Farris
Modified: 2008-10-11 05:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-11 05:42:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Farris 2008-03-08 21:27:18 EST
Description of problem:
Exception in banshee on clicking related artist info

Version-Release number of selected component (if applicable):
banshee-0.13.2-4.fc9.i386
glib-1.2.10-29.fc9.i386

How reproducible:
Every time with several artists playing and clicking a variety of the suggest
artist buttons.

Steps to Reproduce:
1. Play a song with metadata (artist known)
2. Wait for related artists pane to populate (bottom of banshee window)
3. Click on a related artist, button, banshee crashes
  
Actual results:
Crashed.

Expected results:
View information about a related band in a browser window.

Additional info:

Exception in Gtk# callback delegate
  Note: Applications can use GLib.ExceptionManager.UnhandledException to handle
the exception.
GLib.GException: There was an error launching the default action command
associated with this location.
  at Gnome.Url.Show (System.String url) [0x00000] 
  at
Banshee.Plugins.Recommendation.RecommendationPane+<>c__CompilerGenerated2.<RenderSimilarArtist>c__10
(System.Object +9, System.EventArgs +10) [0x00000] 
  at GLib.Signal.voidObjectCallback (IntPtr handle, IntPtr data) [0x00000] 
   at GLib.ExceptionManager.RaiseUnhandledException(System.Exception e, Boolean
is_terminal)
   at GLib.Signal.voidObjectCallback(IntPtr handle, IntPtr data)
   at GLib.Signal.voidObjectCallback(IntPtr , IntPtr )
   at Gtk.Application.gtk_main()
   at Gtk.Application.gtk_main()
   at Gtk.Application.Run()
   at Gnome.Program.Run()
   at Banshee.BansheeEntry.Startup(System.String[] args)
   at Banshee.Gui.CleanRoomStartup.Startup(Banshee.Gui.StartupInvocationHandler
startup, System.String[] args)
   at Banshee.BansheeEntry.Main(System.String[] args)
Comment 1 Andrew Farris 2008-03-08 21:33:24 EST
These lines are different when running 'banshee --debug':
   at Gnome.Program.Run()
   at Banshee.BansheeEntry.Startup(System.String[] args) in
/builddir/build/BUILD/banshee-0.13.2/src/Core/Banshee/Main.cs:line 120
   at Banshee.Gui.CleanRoomStartup.Startup(Banshee.Gui.StartupInvocationHandler
startup, System.String[] args) in
/builddir/build/BUILD/banshee-0.13.2/src/Core/Banshee.Base/Gui/CleanRoomStartup.cs:line
54
   at Banshee.BansheeEntry.Main(System.String[] args) in
/builddir/build/BUILD/banshee-0.13.2/src/Core/Banshee/Main.cs:line 43
Comment 2 Bug Zapper 2008-05-14 01:52:59 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Nigel Jones 2008-05-31 08:39:18 EDT
We now have Banshee 0.99.1 in updates, 0.99.2 in updates-testing and 0.99.3
getting ready to take over, can you please check if this bug still exists?

Thanks
Comment 4 Nigel Jones 2008-08-14 09:16:30 EDT
This package has now been orphaned, hopefully someone will be able to pick it up and resolve the reported bug soon.
Comment 5 David Nielsen 2008-10-11 05:42:06 EDT
Closing due to lack of requested feedback. Banshee 1.2.1 is now in F9 with many updates and improvements. Please test that and report any new bugs you might encounter, if this bug is still present please reopen. Thank you.

Note You need to log in before you can comment on or make changes to this bug.